package com.bocloud.cmp.model.cisco;

import com.bocloud.cmp.model.SubnetModel;

import java.util.List;

public class BridgeDomainModel {
    private String name;
    private String alias;
    private String dn;
    private String status;
    private String uid;
    private String remark;
    private String type;
    private String segment;
    private String multicastIp;
    private String mac;
    private Boolean arpFlood;
    private Boolean unicastRoute;
    private String tenantName;
    private List<SubnetModel> subnets;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the alias
     */
    public String getAlias() {
        return alias;
    }

    /**
     * @param alias the alias to set
     */
    public void setAlias(String alias) {
        this.alias = alias;
    }

    /**
     * @return the dn
     */
    public String getDn() {
        return dn;
    }

    /**
     * @param dn the dn to set
     */
    public void setDn(String dn) {
        this.dn = dn;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the uid
     */
    public String getUid() {
        return uid;
    }

    /**
     * @param uid the uid to set
     */
    public void setUid(String uid) {
        this.uid = uid;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the segment
     */
    public String getSegment() {
        return segment;
    }

    /**
     * @param segment the segment to set
     */
    public void setSegment(String segment) {
        this.segment = segment;
    }

    /**
     * @return the multicastIp
     */
    public String getMulticastIp() {
        return multicastIp;
    }

    /**
     * @param multicastIp the multicastIp to set
     */
    public void setMulticastIp(String multicastIp) {
        this.multicastIp = multicastIp;
    }

    /**
     * @return the mac
     */
    public String getMac() {
        return mac;
    }

    /**
     * @param mac the mac to set
     */
    public void setMac(String mac) {
        this.mac = mac;
    }

    /**
     * @return the arpFlood
     */
    public Boolean getArpFlood() {
        return arpFlood;
    }

    /**
     * @param arpFlood the arpFlood to set
     */
    public void setArpFlood(Boolean arpFlood) {
        this.arpFlood = arpFlood;
    }

    /**
     * @return the unicastRoute
     */
    public Boolean getUnicastRoute() {
        return unicastRoute;
    }

    /**
     * @param unicastRoute the unicastRoute to set
     */
    public void setUnicastRoute(Boolean unicastRoute) {
        this.unicastRoute = unicastRoute;
    }

    /**
     * @return the tenantName
     */
    public String getTenantName() {
        return tenantName;
    }

    /**
     * @param tenantName the tenantName to set
     */
    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    /**
     * @return the subnets
     */
    public List<SubnetModel> getSubnets() {
        return subnets;
    }

    /**
     * @param subnets the subnets to set
     */
    public void setSubnets(List<SubnetModel> subnets) {
        this.subnets = subnets;
    }
}
